<ion-header>
  <ion-toolbar>
    <ion-title>Add New Task</ion-title>
    <ion-icon name="close" slot="end" size="large" [routerLink]="['/tabs/activity']"  ></ion-icon>
  </ion-toolbar>
</ion-header>

<ion-content>
  <ion-card >
    <ion-item>
      <ion-textarea [(ngModel)]="taskName" placeholder="Write your task here"></ion-textarea>
    </ion-item>

    <ion-item>
      <ion-label>Priority</ion-label>
      <ion-select [(ngModel)]="taskPriority">
        <ion-select-option value="Low">Low</ion-select-option>
        <ion-select-option value="Moderate">Moderate</ion-select-option>
        <ion-select-option value="High">High</ion-select-option>
      </ion-select>
    </ion-item>
    <ion-item>
      <ion-icon name="calendar-outline" slot="start"></ion-icon>
      <ion-label>Due Date</ion-label>
      <ion-datetime [(ngModel)]="taskDate" displayFormat="D MMM YYY H:mm"></ion-datetime>
    </ion-item>


    <ion-item>
      <ion-icon name="pricetag" slot="start"></ion-icon>
      <ion-label>Category</ion-label>
      <span>{{taskCategory}}</span>
    </ion-item>

    <ion-item>
      <ion-chip  *ngFor="let item of category; let i = index"  (click)="selectCategory(i)">
        <ion-label>{{ item }}</ion-label>
      </ion-chip>
    </ion-item>
    <ion-button color="tertiary" class="ion-margin" expand="block" (click)="addTask()">Add Task</ion-button>

  </ion-card>
</ion-content>
